## com.imcode.imcms.api
Class Meta.PermisionSetEx

    java.lang.Object
      com.imcode.imcms.api.Meta.PermisionSetEx

Enclosing class:
  Meta

    public static class Meta.PermisionSetEx

extends java.lang.Object

Create (create only!) permission for template or a document type. set_id -> set type id: can be restricted 1 or restricted 2 Mapped to doc_permission_set and new_doc_permission_set

Constructor Summary
`Meta.PermisionSetEx()`

Method Summary
`boolean` `equals(java.lang.Object o)`
`java.lang.Integer` `getPermissionData()`
`java.lang.Integer` `getPermissionId()`
`java.lang.Integer` `getSetId()`
`int` `hashCode()`
`void` `setPermissionData(java.lang.Integer documentTypeId)`
`void` `setPermissionId(java.lang.Integer permissionId)`
`void` `setSetId(java.lang.Integer setId)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Meta.PermisionSetEx

    public Meta.PermisionSetEx()

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getPermissionData

    public java.lang.Integer getPermissionData()

### setPermissionData

    public void setPermissionData(java.lang.Integer documentTypeId)

### getPermissionId

    public java.lang.Integer getPermissionId()

### setPermissionId

    public void setPermissionId(java.lang.Integer permissionId)

### getSetId

    public java.lang.Integer getSetId()

### setSetId

    public void setSetId(java.lang.Integer setId)